| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
SequenceNumber_t Struct Reference
eProsima Fast DDS API Reference » RTPS » Common Module.

Structure SequenceNumber_t, different for each change in the same writer. More...

`#include <SequenceNumber.hpp>`

## Public Member Functions

| SequenceNumber_t () noexcept
| Default constructor.
| SequenceNumber_t (int32_t hi, uint32_t lo) noexcept
| SequenceNumber_t (uint64_t u) noexcept
uint64_t | to64long () const noexcept
| Convert the number to 64 bit.
SequenceNumber_t & | operator++ () noexcept
| Increase SequenceNumber in 1.
SequenceNumber_t | operator++ (int) noexcept
SequenceNumber_t & | operator+= (int inc) noexcept
| Increase SequenceNumber.

## Static Public Member Functions

static SequenceNumber_t | unknown () noexcept

## Public Attributes

int32_t | high = 0
uint32_t | low = 0

## Detailed Description

Structure SequenceNumber_t, different for each change in the same writer.

## Constructor & Destructor Documentation

## ◆ SequenceNumber_t() [1/3]

SequenceNumber_t | ( |  | ) |

inline noexcept

Default constructor.

## ◆ SequenceNumber_t() [2/3]

SequenceNumber_t | ( | int32_t | hi,
|  | uint32_t | lo )

inline noexcept

Parameters

  hi |
  lo |

## ◆ SequenceNumber_t() [3/3]

SequenceNumber_t | ( | uint64_t | u | ) |

inline explicit noexcept

Parameters

  u |

## Member Function Documentation

## ◆ operator++() [1/2]

SequenceNumber_t & operator++ | ( |  | ) |

inline noexcept

Increase SequenceNumber in 1.

## ◆ operator++() [2/2]

SequenceNumber_t operator++ | ( | int |  | ) |

inline noexcept

## ◆ operator+=()

SequenceNumber_t & operator+= | ( | int | inc | ) |

inline noexcept

Increase SequenceNumber.

Parameters

  inc | Number to add to the SequenceNumber

## ◆ to64long()

uint64_t to64long | ( |  | ) | const

inline noexcept

Convert the number to 64 bit.

Returns
  64 bit representation of the SequenceNumber

## ◆ unknown()

SequenceNumber_t unknown | ( |  | ) |

inline static noexcept

## Member Data Documentation

## ◆ high

int32_t high = 0

## ◆ low

uint32_t low = 0

The documentation for this struct was generated from the following file:

- include/fastdds/rtps/common/SequenceNumber.hpp